package main

import (
	"net/http"

	"git.tovijaeschke.xyz/tovi/Envelope/Backend/Api"
	"git.tovijaeschke.xyz/tovi/Envelope/Backend/Database"

	"github.com/gorilla/mux"
)

func init() {
	Database.Init()
}

func main() {
	var (
		router *mux.Router
	)

	router = mux.NewRouter()

	Api.InitApiEndpoints(router)

	http.ListenAndServe(":8080", router)
}
