import 'package:flutter/material.dart';
import '/views/main/conversations_list.dart';

void main() {
    runApp(const Home());
}

class Home extends StatelessWidget {
    const Home({Key? key}) : super(key: key);

    static const String _title = 'Envelope';

    @override
    Widget build(BuildContext context) {
        return const MaterialApp(
                title: _title,
                home: Scaffold(
                        backgroundColor: Colors.cyan,
                        body: SafeArea(
                                child: ConversationsList(),
                        )
                )
        );
    }
}
